import { ICreateMessageDTO } from "@modules/messages/dtos/ICreateMessageDTO";
import { Message } from "@prisma/client";

interface IMessagesRepository {
    create({message, forum_id}: ICreateMessageDTO): Promise<Message>
    findById(id: string): Promise<Message | null>
    delete(id: string): Promise<void>
    findByForum(forum_id: string): Promise<Message[]>
}

export {IMessagesRepository}